
::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: #c0c0c0;
    background-clip: padding-box;
    border: 0.05em solid #eeeeee;
    border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #a0a0a0;
}

::-webkit-scrollbar-track {
    background-color: unset;
}

::-webkit-scrollbar-corner { 
    border-radius: 2px;
}

input.rounded {
    border-radius: 2px;
    border-width: 1px;
    border-style: solid;
    border-color: #bbb;
    padding: 4px 5px;
}

input.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

input.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded {
    border-radius: 2px;
    padding: 4px 5px;
    border-style: solid;
    border-width: 1px;;
    border-color: #bbb;
}

textarea.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

select.rounded {
    border-radius: 2px;
    min-height: 25px;
    border-color: #bbb;
}

select.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.font {
    font-family: 'Calibri', sans-serif;
}

.no_select {
    user-select: none;
}

.panel {
    display: flex;
    flex: 1 1 auto;
    background: #fff;
    color: #000;
    padding: 5px;
    border-radius: 2px;
}

.button {
    display: flex;
    padding: 2px;
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #bbb;
    border-radius: 2px;
    align-items: center;
    justify-content: center;
    color: #000;
    background: #dedede;
    font-size: 12pt;
    cursor: pointer;
    box-sizing: border-box;
    white-space: normal;
}

.button:hover {
    background: #e9e9e9;
}

.button:active {
    background: #aaa;
    color: #000;
}

.button_disabled {
    filter: contrast(0.5);
    opacity: 0.75;
    cursor: unset;
}

.button_disabled:hover {
    color: #000;
    background: #dedede;
}

.button_disabled:active {
    color: #000;
    background: #dedede;
}

.button_round {
    width: 33px;
    height: 33px;
    border-radius: 50%;
    font-weight: bold;
}

.list {
    display: flex;
    background: #eee;
    flex-direction: column;
    padding: 2px;
    margin-top: 2px;
    margin-bottom: 2px;
    border: 1px solid #bbb;
    border-radius: 2px;
    overflow: auto;
    box-sizing: border-box;
    flex: 1 1 0;
}

.item {
    background: #fff;
    padding: 2px;
    margin: 2px;
    cursor: pointer;
}

.item_no_select {
    cursor: unset;
}

.selected {
    background: rgb(47, 120, 255);
    color: #fff;
}

.label {
    white-space: pre;
}

.tree_view_item {
    position: relative;
}

.tree_view_item::before {
    position: absolute;
    width: 19px;
    height: 100%;
    content: "";
    clip-path: polygon(7px 19px, 8px 19px, 8px 100%, 7px 100%);
    background: #bbb;
}

.list > .tree_view_item::before {
    display: none;
}

.tree_view_item:last-child::before {
    clip-path: unset;
    content: unset;
}

.tree_view_content {
    display: flex;
    align-items: stretch;
}

.tree_view_children {
    display: flex;
}

.tree_view_block {
    width: 19px;
    height: 19px;
}

.tree_view_expand {
    margin-right: 5px;
    width: 15px;
    height: 15px;
}

.tree_view_expand.button {
    margin: unset;
    margin-right: 5px;
}

.tree_view_item_section {
    flex-shrink: 0;
    background: #bbb;
    width: 19px;
    height: 19px;
}

.tree_view_item_disabled {
    color: #999;
    cursor: unset !important;
}

.tree_view_item_disabled input {
    pointer-events: none;
    display: none;
}

.tree_view_item_disabled label {
    pointer-events: none;
}

.tree_view_item_disabled:hover {
    background: unset !important;
}

.tree_view_t_section {
    clip-path: polygon(7px 0px, 8px 0px, 8px 9px, 17px 9px, 17px 10px, 8px 10px, 8px 19px, 7px 19px);
}

.tree_view_l_section {
    clip-path: polygon(7px 0px, 8px 0px, 8px 9px, 17px 9px, 17px 10px, 7px 10px);
}

.tree_view_ll_section {
    clip-path: polygon(0px 9px, 15px 9px, 15px 10px, 0px 10px);
}

.tree_view_item_label {
    cursor: pointer;
    white-space: pre;
}

.tree_view_item_label:hover {
    background: #ccc;
}

.tree_view_item_focused {
    background: #ccc;  
}

.tree_view_item_selected {
    background: rgb(47, 120, 255);
    color: #fff;   
}

.group {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
    box-sizing: border-box;
    background: linear-gradient(#ffd888, #ffc878);
    border-radius: 4px;
    margin-top: 5px;
    margin-right: 5px;
}

.group_expanded {
    flex: unset !important;
}

.group_header {
    display: flex;
    font-weight: 100;
    font-size: 16pt;
    padding: 5px;
    align-items: center;
    cursor: pointer;
}

.group_header div:first-child {
    display: flex;
    flex: 1 1 auto;
    align-items: center;
}

.group_header img {
    max-height: 24px;
    max-width: 24px;
    pointer-events: none;
}

.group_header div:hover img {
    filter: invert(1.0);
}

.react-datepicker__input-container > input {
    border-radius: 2px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
}

.react-datepicker__input-container input:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.loader_group {
    display: flex;
    font-weight: bold;
    font-variant-caps: all-petite-caps;
}

.loader_group > div {
    margin-right: 4px;
}

.loader {
    border: 4px solid #c9c9c9;
    border-top: 4px solid #386479; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 8px;
    height: 8px;
    animation: spin 1500ms ease-in-out infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.main_container {
    display: flex;
    width: 100%;
    height: 100%;
}

.dialog_window {
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    border: 4px solid #386479;
    background: #ddd;
    padding: 5px;
    min-height: 100px;
    min-width: 300px;
    box-sizing: border-box;
}

.dialog_window > .label {
    background: #386479;
    color: #fff;
    margin-bottom: 5px;
    padding: 5px;
    border-radius: 2px;
    font-weight: bold;
}

.dialog_window > div:nth-child(2) {
    display: flex;
    height: 100%;
    background: #fff;
    border-radius: 2px;
    padding: 5px;
    overflow-y: auto;
}

.overlay_effect {
    filter: blur(5px) contrast(0.5);
    pointer-events: none;
    user-select: none;
}

#overlay_window {
    display: none;
}

.overlay_window {
    display: flex !important;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    max-height: 95%;
    max-width: 95%;
    overflow: hidden;
}

i {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    margin-left: 5px;
}
  
i.right {
    transform: translateX(-25%) rotate(-45deg);
    -webkit-transform: translateX(-25%) rotate(-45deg);
}
  
i.left {
    transform: translateX(25%) rotate(135deg);
    -webkit-transform: translateX(25%) rotate(135deg);
}
  
i.up {
    transform: translateY(25%) rotate(-135deg);
    -webkit-transform: translateY(25%) rotate(-135deg);
}
  
i.down {
    transform: translateY(-25%) rotate(45deg);
    -webkit-transform: translateY(-25%) rotate(45deg);
}

.pager {
    display: flex;
    justify-content: center;
}

.pager_prev {
    color: #000;
    margin: 3px;
}

.pager_prev:hover {
    text-decoration: underline;
    cursor: pointer;
    color: #fff;
}

.pager_next {
    color: #000;
    margin: 3px;
}

.pager_next:hover {
    text-decoration: underline;
    cursor: pointer;
    color: #fff;
}

.pager_pages {
    display: flex;
}

.pager_pages > div {
    color: #000;
    margin: 3px;
}

.pager_pages > div:hover {
    text-decoration: underline;
    cursor: pointer;
    color: #fff;
}

.pager_pages > .divider {
    text-decoration: none;
    color: #000;
}

.pager_pages > .divider:hover {
    text-decoration: none;
    cursor: unset;
    color: #000;
}

.pager_pages > .selected_page {
    text-decoration: none;
    font-weight: bold;
    color: #000;
}

.pager_pages > .selected_page:hover {
    cursor: unset;
    text-decoration: none;
    color: #000;
}

.concepts_wrapper {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 9000;
    padding: 5px;
    background: #fff;
    border: 1px solid #bbb;
    border-radius: 2px;
    color: #000;
    box-shadow: 0px 0px 10px #0009;
    font-size: 10pt;
}

.concepts_wrapper_value {
    display: flex;
    color: #444;
}

.concepts_wrapper_value:hover {
    background: #3399ff;
    color: #fff;
}